> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Mobile Availability

> Search mobile availability records with optional grouping capabilities.
Use `group_by` parameter to aggregate results by specified field(s).




## OpenAPI

````yaml get /public/user/mobile_availability/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/mobile_availability/search:
    get:
      tags:
        - Mobile Availability
      summary: Search Mobile Availability
      description: |
        Search mobile availability records with optional grouping capabilities.
        Use `group_by` parameter to aggregate results by specified field(s).
      parameters:
        - name: country_id
          in: query
          description: Filter by 2-character country code
          schema:
            type: string
        - name: subdivision_id
          in: query
          description: Filter by state/province identifier
          schema:
            type: string
        - name: city_name
          in: query
          description: Filter by city name
          schema:
            type: string
        - name: asn_id
          in: query
          description: Filter by Autonomous System Number
          schema:
            type: integer
        - name: zip_code_alias
          in: query
          description: Filter by postal/ZIP code
          schema:
            type: string
        - name: mobile_availability_node_count
          in: query
          description: Filter by node count
          schema:
            type: integer
        - name: group_by
          in: query
          description: >
            Group results by specified field(s). Multiple fields separated by
            commas.

            When grouping is used, returns aggregated node counts for each
            group.
          schema:
            type: string
            enum:
              - country
              - subdivision
              - city
              - asn
              - zip_code
        - name: sort_by
          in: query
          description: >
            Sort results by field. Add '_desc' for descending or '_asc' for
            ascending.

            Default is descending order.
          schema:
            type: string
      responses:
        '200':
          description: Search mobile node count successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      mobile_options:
                        type: array
                        items:
                          type: object
                          properties:
                            asn_id:
                              type: integer
                              description: Filter by Autonomous System Number
                              example: 15169
                            city_name:
                              type: string
                              description: Filter by city name
                              example: San Francisco
                            country_id:
                              type: string
                              description: Filter by 2-character country code
                              example: US
                            mobile_availability_node_count:
                              type: integer
                              description: Filter by node count
                              example: 100
                            subdivision_id:
                              type: string
                              description: Filter by state/province identifier
                              example: CA
                            zip_code_alias:
                              type: string
                              description: Filter by postal/ZIP code
                              example: '94107'
                      total_mobile_availability_node_count:
                        type: integer
                        description: >-
                          Total number of nodes available for given filter
                          parameters
                  message:
                    type: string
                    example: Mobile Options search successful
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````